import glob

import setuptools

setuptools.setup(
    name="tooncher",
    use_scm_version=True,
    packages=["tooncher"],
    description="automates toontown rewritten's login process",
    author="Fabian Peter Hammerle",
    author_email="fabian.hammerle@gmail.com",
    url="https://github.com/fphammerle/tooncher",
    download_url="https://github.com/fphammerle/tooncher/tarball/0.4.0",
    keywords=["game", "launcher", "toontown rewritten", "ttr"],
    classifiers=[],
    scripts=glob.glob("scripts/*"),
    install_requires=["pyyaml"],
    extras_require={"extended-controls": ["xlib", "psutil"],},
    setup_requires=["setuptools_scm"],
    tests_require=["pytest"],
)
